Category: Installation Estimated time: 0.00 hour
Target version: 0.6
Description

$ cmake
  -DRSBProtocol_DIR=/usr/local/rsb/share/rsbprotocol/
  -DBUILD_EXAMPLES=ON
  ..
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Boost version: 1.42.0-- Found BoostUUID: /usr/include 
-- RSC version: 0.6.0-- RSC libraries: rsc
-- RSC runtime library dirs: /usr/share/rsc/../../bin-- RSC CMake module path: /usr/share/rsc/../../share/cmake/Modules
-- Using CMake module path:
/usr/local/share/cmake/Modules;/usr/share/rsc/../../share/cmake/Modules;/usr/share/rsc/../../share/cmake/Modules
-- Could NOT find Lcov (missing:  LCOV_EXECUTABLE GENHTML_EXECUTABLE) 
-- Could NOT find gcovr (missing:  GCOVR_EXECUTABLE) 
-- Could NOT find sloccount (missing:  SLOCCOUNT_EXECUTABLE) 
-- Found Doxygen: /usr/bin/doxygen 
-- Could NOT find Cppcheck (missing: CPPCHECK_EXECUTABLE CPPCHECK_VERSION) 
-- Found Subversion: /usr/bin/svn (found version "1.6.12")
-- Current revision is 3136-- Performing Test CHECK_CXX_FLAG_pipe
-- Performing Test CHECK_CXX_FLAG_pipe - Success
-- Performing Test CHECK_CXX_FLAG_Wall-- Performing Test CHECK_CXX_FLAG_Wall - Success
-- Performing Test CHECK_CXX_FLAG_Wextra
-- Performing Test CHECK_CXX_FLAG_Wextra - Success
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS - Success
-- Boost version: 1.42.0-- Found the following Boost libraries:
--   regex
--   date_time
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE -- Threading library: -lpthread
-- protoc does not support matlab-- Found PROTOBUF: /usr/local/lib/libprotobuf.so 
-- RSBProtocol: Matching wire-format version (8)
-- Searching for spread library with name libspread.so-- Found Spread: /usr/local/lib/libspread.so 
-- Enabling export macro RSB_PROTOCOL_EXPORT for CPP
-- Boost_LIBRARIES:
optimized;/usr/lib/libboost_regex-mt.so;debug;/usr/lib/libboost_regex-mt.so;optimized;/usr/lib/libboost_date_time-mt.so;debug;/usr/lib/libboost_date_time-mt.so
CMake Error: Attempt to add a custom rule to output "/home/graham/DevTools/rsb/cpp/core/build/examples/examples.pb.cc.rule" which already has a custom rule.
-- Found PythonInterp: /usr/bin/python2.7 
-- Generated doxygen target (doc):
PROJECT_NAME: RSB
PROJECT_VERSION: 0.6.0
INSTALL_DIR: share/RSB
AUTO_INSTALL: FALSE
-- Cannot enable coverage targets because neither lcov nor gcovr are found.
-- LSB-Release system information::
LSB Distributor-ID: ubuntu
LSB Release: 11.04
LSB Codename: natty
System bit type: 32 bit
-- Configuring incomplete, errors occurred! 

sr/lib/libboost_date_time-mt.so
CMake Error: Attempt to add a custom rule to output
"/home/graham/DevTools/rsb/cpp/core/build/examples/examples.pb.cc.rule" which already has a custom rule.
-- Found PythonInterp: /usr/bin/python2.7 
-- Generated doxygen target (doc):
PROJECT_NAME: RSB
PROJECT_VERSION: 0.6.0
INSTALL_DIR: share/RSB
AUTO_INSTALL: FALSE
-- Cannot enable coverage targets because neither lcov nor gcovr are found.
-- LSB-Release system information::
LSB Distributor-ID: ubuntu
LSB Release: 11.04
LSB Codename: natty
System bit type: 32 bit
-- Configuring incomplete, errors occurred! 

History
#1 - 12/07/2011 11:46 AM - J. Wienke

I don't understand this. Could the be a relic of his experiments with building the examples stand-alone?

#2 - 12/07/2011 11:51 AM - J. Moringen

I asked him that question. Reply is currently pending.

#3 - 12/12/2011 10:48 PM - J. Moringen
- Status changed from New to Rejected

Did not receive a confirmation or clarification. Rejecting for now. Reopen if appropriate.
